> For the complete documentation index, see [llms.txt](https://docs.shiftctrl.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiftctrl.money/developer/tab-protocol-smart-contract/token.md).

# Token

### Governance Token

ShiftCTRL's native CTRL token is used as the [governance](/governance/decentralised-governance.md) token. It is ERC-20 compatible and has a hard cap of 1 billion (1,000,000,000) tokens.

### Tab Token

At inception, the Tab Protocol supports 155 Tab currencies.

For more details, please refer to the Tab addresses [here](https://www.shiftctrl.money/tabAddress.json).

{% hint style="info" %}
**Note:** Each Tab is associated with a `riskPenaltyPerFrame` value (default 1.5%), which determines the risk penalty amount charged to a vault if the vault's reserve ratio falls below the configured threshold (default 180%). These values can be updated through governance by calling the `GovernanceAction.updateTabParams` function.
{% endhint %}

### Tab Factory

All Tab contracts are deployed by the Tab Factory using create3 method. \
This approach ensures that Tab token addresses remain consistent across EVM chains.

TabFactory contratc itself relies on <https://github.com/ZeframLou/create3-factory> to have consistent contract address.

### Tab Registry

The Tab Registry contract is responsible for managing Tabs within the protocol. The ShiftCTRL community can propose changes to the Tab Registry, such as disabling or enabling Tabs, or creating new ones, by submitting a proposal to call a function in the GovernanceAction contract.

**To create a Tab pegged to a national currency not currently supported in the Tab Protocol**, submit a proposal that calls GovernanceAction.createNewTab. It's crucial to ensure that at least three corresponding oracle feeds are available for the oracle to derive an exchange rate for the new Tab. Without these feeds, the new Tab will remain in a frozen state.

**To create a new Tab that is pegged to another existing Tab** (e.g., sUSD), the proposal must include two actions: GovernanceAction.createNewTab to create the new Tab, and GovernanceAction.setPeggedTab to link the new Tab to an existing one.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shiftctrl.money/developer/tab-protocol-smart-contract/token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
